import 'package:flx_ui/flx_ui.dart';

class FlatCard extends StatelessWidget {
  final double? width;
  final double? height;

  final Color? color;

  final double? borderRadius;

  final double? borderWidth;

  final Widget? child;

  final bool clipped;

  const FlatCard({
    Key? key,
    this.child,
    this.width,
    this.height,
    this.borderRadius,
    this.borderWidth,
    this.color,
    this.clipped = false,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    var inBorderRadius = (borderRadius ?? Metrics.borderRadius);
    var inBorderWidth = (borderWidth ?? 1);
    var inAvgBorderRadius = inBorderRadius - inBorderWidth;
    var inColor = color ?? ColorTheme.primary(context);

    return Container(
      width: width,
      height: height,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(inBorderRadius),
        border: Border.all(
          color: Colors.black12,
          width: inBorderWidth,
        ),
      ),
      child: Container(
        decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(inAvgBorderRadius),
          color: inColor,
        ),
        child: child != null && clipped
            ? ClipRRect(
                borderRadius: BorderRadius.circular(inAvgBorderRadius),
                child: child,
              )
            : child,
      ),
    );
  }
}
