import 'package:flx_ui/flx_ui.dart';

class IconButton extends StatelessWidget {
  final IconData icon;

  final TargetTapCallback onTap;
  final TargetLongTapCallback? onLongTap;

  const IconButton({
    Key? key,
    required this.icon,
    required this.onTap,
    this.onLongTap,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return FlatCard(
      width: 50,
      height: 50,
      borderRadius: 25,
      clipped: true,
      child: Target(
        onLongTap: onLongTap,
        onTap: onTap,
        child: Container(
          color: Colors.transparent,
          child: Center(
            child: Icon(
              icon,
              size: 23,
              color: TextTheme.text(context).color,
            ),
          ),
        ),
      ),
    );
  }
}
