import 'package:flx_ui/flx_ui.dart';

class SpaciousButton extends StatelessWidget {
  final Color? textColor;

  final Color? backgroundColor;

  final double? width;

  final String text;

  final TargetTapCallback onTap;
  final TargetLongTapCallback? onLongTap;

  const SpaciousButton({
    Key? key,
    required this.text,
    required this.onTap,
    this.onLongTap,
    this.width,
    this.textColor,
    this.backgroundColor,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    var backColor = backgroundColor ?? ColorTheme.accent(context);
    var backAvgColorValue =
        (backColor.red + backColor.blue + backColor.green) / 3;
    var defaultTextColor =
        backAvgColorValue > 150 ? Colors.black : Colors.white;

    return DeepCard(
      color: backColor,
      clipped: true,
      child: Target(
        onTap: onTap,
        onLongTap: onLongTap,
        child: Container(
          height: 42,
          width: width ?? double.infinity,
          color: Colors.transparent,
          child: Center(
            child: Padding(
              padding: EdgeInsets.symmetric(horizontal: 15),
              child: Text(
                text,
                style: TextTheme.button(context).copyWith(
                  color: textColor ?? defaultTextColor,
                ),
              ),
            ),
          ),
        ),
      ),
    );
  }
}
