import 'package:flutter/widgets.dart';

class TargetWavePainter extends CustomPainter {
  final Offset position;
  final Color color;
  final double radius;
  final double opacity;

  TargetWavePainter({
    required this.radius,
    required this.opacity,
    required this.color,
    required this.position,
  });

  @override
  void paint(Canvas canvas, Size size) {
    var splashPaint = Paint()
      ..shader = RadialGradient(
        colors: [
          color.withOpacity(opacity),
          color.withAlpha(0),
        ],
        stops: [
          0.2,
          1,
        ],
      ).createShader(Rect.fromCircle(
        center: position,
        radius: radius,
      ))
      ..blendMode = BlendMode.overlay;

    canvas.drawCircle(position, radius, splashPaint);
  }

  @override
  bool shouldRepaint(covariant CustomPainter oldDelegate) {
    return true;
  }
}
